bitel.billing.server.contract.bean

## Class ContractParamUtils

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractParameterManager
  - - bitel.billing.server.contract.bean.ContractParamUtils

- All Implemented Interfaces:
    java.lang.AutoCloseable

  Deprecated.
  заменен на ContractParameterManager

      @Deprecated
      public class ContractParamUtils
      extends ContractParameterManager

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.contract.bean.ContractParameterManager

      `con, CONTRACT_PARAMETER_TYPE_ADDRESS, CONTRACT_PARAMETER_TYPE_BOOLEAN, CONTRACT_PARAMETER_TYPE_CONTRACT, CONTRACT_PARAMETER_TYPE_DATE, CONTRACT_PARAMETER_TYPE_EMAIL, CONTRACT_PARAMETER_TYPE_LIST, CONTRACT_PARAMETER_TYPE_LIST_VALUES, CONTRACT_PARAMETER_TYPE_MULTILIST, CONTRACT_PARAMETER_TYPE_MULTILIST_ITEM, CONTRACT_PARAMETER_TYPE_MULTILIST_VALUES, CONTRACT_PARAMETER_TYPE_PHONE, CONTRACT_PARAMETER_TYPE_PHONE_ITEM, CONTRACT_PARAMETER_TYPE_SERVICING_PERSON, CONTRACT_PARAMETER_TYPE_STRING, CONTRACT_PARAMETERS_PREF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractParamUtils(java.sql.Connection con)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class bitel.billing.server.contract.bean.ContractParameterManager

      `checkMultiListValue, clearParameterHistory, close, copyContractParams, deleteAddressParam, deleteContractRefParam, deleteDateParam, deleteFlagParam, deleteListCustomValue, deleteListParam, deleteListValue, deleteMultiListCustomValue, deleteMultiListValue, deleteParam, deleteParamForContractByType, deleteParamLog, deleteParamLogForContractByType, deletePhoneParam, deleteStringParam, getAddressCustomParam, getAddressParam, getAddressParamMap, getAllParams, getContractListParamValue, getContractParamValueMap, getContractRefParam, getContractRefParamMap, getDateParam, getDateParamMap, getEmailFromParam, getEmailParam, getEmailParameterByContractId, getEmailParamMap, getFlagParam, getFlagParam, getFlagParamMap, getListParam, getListParamValue, getListParamValueMap, getListTitle, getListValues, getMultilistParamId, getMultiListParamValue, getMultiListParamValueMap, getMultiListParamValueMapString, getMultiListParamValues, getMultiListTitle, getMultiListValues, getParameterHistory, getParameterListValues, getParamPref, getPhoneParam, getPhoneParamMap, getStringParam, getStringParamMap, getTableName, getTextlikeParam, getValuesForPids, getValuesForPids, isListValueUsed, isMultiListValueUsed, replaceCustomListValue, replaceMultiListCustomValues, resetParametersHistoryMap, searchCustomAddress, setContractRefParam, setFlagParam, setFlagParam, setMultiListTitleValues, setStringParam, updateAddressParam, updateDateParam, updateEmailParam, updateEmailParamLog, updateFlagParam, updateListParam, updateListParamLog, updateListValue, updateMultiListParameter, updateMultiListParameter, updateMultiListParameterAndItems, updateMultiListParameterValue, updateMultiListParamLog, updatePhoneParam, updateStringParam, updateTextParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractParamUtils

          public ContractParamUtils(java.sql.Connection con)

      Deprecated.